<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.kuaishou.modules.live.mapper.LiveDataGenderMapper">

    <insert id="replaceBatch">
        replace into ctop_live_data_gender(
        id,
        account_id,
        stat_month,
        gender,
        charge,
        shows,
        photo_show,
        photo_click_ratio,
        aclick,
        bclick,
        action_ratio,
        product_click,
        likes,
        shares,
        comments,
        play_3s_count,
        event_appoint_success,
        live_watch_count,
        live_watch_cost,
        live_fans,
        live_fans_cost
        )
        values
        <foreach collection="list" item="pro" separator=",">
            (
            #{pro.id},
            #{pro.accountId},
            #{pro.statMonth},
            #{pro.gender},
            #{pro.charge},
            #{pro.shows},
            #{pro.photoShow},
            #{pro.photoClickRatio},
            #{pro.aclick},
            #{pro.bclick},
            #{pro.actionRatio},
            #{pro.productClick},
            #{pro.likes},
            #{pro.shares},
            #{pro.comments},
            #{pro.play3sCount},
            #{pro.eventAppointSuccess},
            #{pro.liveWatchCount},
            #{pro.liveWatchCost},
            #{pro.liveFans},
            #{pro.liveFansCost}
            )
        </foreach>
    </insert>

</mapper>